Developers

Creates a Link resource

POST
/project/links

Creates a Link resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new Link resource

  1. body
identifier*string
Formatuuid
project*string
Formatuuid
type*string
Value in"ftf""sts""stf""fts"
source*string
Formatuuid
target*string
Formatuuid
sourceType*string
Value in"milestone""task""board""stage"
targetType*string
Value in"milestone""task""board""stage"

Response Body

Link resource created

  1. response
id?string
Formatuuid
type?string
Value in"ftf""sts""stf""fts"
source?string
Formatuuid
target?string
Formatuuid
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/links' \  -H 'Content-Type: application/json' \  -d '{  "identifier": "14d3030c-3b61-4070-b902-342f80e99364",  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "type": "ftf",  "source": "07b8e003-7027-443f-88b0-24a5eb1cc68b",  "target": "65a17d54-9c67-4477-8b80-d3f97e165aa5",  "sourceType": "milestone",  "targetType": "milestone"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "ftf",  "source": "07b8e003-7027-443f-88b0-24a5eb1cc68b",  "target": "65a17d54-9c67-4477-8b80-d3f97e165aa5"}